#! /usr/bin/env python

import getopt, jabber, sys

def registerNewUser( host, user, password ):
    client = jabber.Client( host )
    client.connect()
    
    client.requestRegInfo()
    client.setRegInfo( 'username', user )
    client.setRegInfo( 'password', password )
    client.sendRegInfo()

    client.disconnect()
    
def usage():
	print "Usage: jabberRegisterUser.py"
	print " Options:"
	print "  -h, --host=HOSTNAME (default: localhost)"
	print "  -u, --user=USERNAME"
	print "  -p, --password=PASSWORD"

def main():
    options = "h:u:p:"
    long_options = [ "help", "host=", "user=", "password=" ]

    try:
        opts, args = getopt.getopt( sys.argv[1:], options, long_options )
    except getopt.GetoptError:
        usage()
        sys.exit( 2 )

    host = "localhost"
    user = ""
    password = ""

    for option, arg in opts:

        if ( option == "--help" ):
            usage()
            sys.exit()

        if ( option in ( "-h", "--host" ) ):
            host = arg

        if ( option in ( "-u", "--user" ) ):
            user = arg

        if ( option in ( "-p", "--password" ) ):
            password = arg

    if ( ( user == "" ) or ( password == "" ) ):
        usage()
        sys.exit( 2 )
    else:
        registerNewUser( host, user, password )
        
try:
    if __name__ == "__main__":
        main()
except KeyboardInterrupt:
    pass
